Name:		perl-Mojolicious-Plugin-INIConfig
Version:	0.06
Release:	1%{?dist}
Summary:	Mojolicious plugin to load INI format config file
License:	GPL+ or Artistic

URL:		https://metacpan.org/pod/Mojolicious::Plugin::INIConfig
Source0:	https://cpan.metacpan.org/authors/id/K/KI/KIMOTO/Mojolicious-Plugin-INIConfig-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:	perl(strict)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(Test::Mojo)
BuildRequires:	perl(ExtUtils::MakeMaker)

%{?perl_default_filter}

%description
This is a INI configuration plugin that preprocesses its input with
Mojo::Template.

The application object can be accessed via $app or the app function. You can
extend the normal config file myapp.ini with mode specific ones like
myapp.$mode.ini. A default configuration filename will be generated from the
value of "moniker" in Mojolicious.

If the configuration value config_override has been set in "config" in Mojo
when this plugin is loaded, it will not do anything.


#------------------------------------------------------------------------------.
%prep
#------------------------------------------------------------------------------.

%setup -q -n Mojolicious-Plugin-INIConfig-%{version}


#------------------------------------------------------------------------------.
%build
#------------------------------------------------------------------------------.

%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


#------------------------------------------------------------------------------.
%install
#------------------------------------------------------------------------------.

make pure_install DESTDIR="${RPM_BUILD_ROOT}"

%{_fixperms} "${RPM_BUILD_ROOT}"/*


#------------------------------------------------------------------------------.
%check
#------------------------------------------------------------------------------.

make test


#------------------------------------------------------------------------------.
%files
#------------------------------------------------------------------------------.

%doc Changes
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*


#------------------------------------------------------------------------------.
%changelog
#------------------------------------------------------------------------------.

* Sat Jul  8 2023 Patrick Monnerat <patrick@monnerat.net> 0.06-1
- Initial packaging.
